
def random_color_detection(image_path):
    import cv2
    import numpy as np
    
    # Load the image
    image = cv2.imread(image_path)
    if image is None:
        print("Image not found or path is incorrect")
        return None
    
    # Convert the image to HSV color space
    hsv_image = cv2.cvtColor(image, cv2.COLOR_BGR2HSV)
    
    # Define the range for red color in HSV
    lower_red = np.array([0, 50, 50])
    upper_red = np.array([10, 255, 255])
    mask1 = cv2.inRange(hsv_image, lower_red, upper_red)
    
    lower_red = np.array([170, 50, 50])
    upper_red = np.array([180, 255, 255])
    mask2 = cv2.inRange(hsv_image, lower_red, upper_red)
    
    # Combine the masks to get the final mask for red color
    red_mask = cv2.bitwise_or(mask1, mask2)
    
    # Find contours of red color
    contours, _ = cv2.findContours(red_mask, cv2.RETR_EXTERNAL, cv2.CHAIN_APPROX_SIMPLE)
    
    # Draw contours on the original image
    red_color_image = cv2.drawContours(image, contours, -1, (0, 0, 255), 2)
    
    return red_color_image



